#ifndef ACCESS_H
#define ACCESS_H

#include "configure.h"

#include "httpd.h"

enum {
	ANY,
#if SUPPORT_COUNTRY
	COUNTRY,
#endif
	NETWORK,
	PASSWD,
	REFERRER,
	AGENT
};

enum {
	REFERRER_SITE,
	REFERRER_SELF,
	REFERRER_FOREIGN,
	REFERRER_EMPTY
};

void base64initialize();
int checkAccess(Request* r, Access* access, char** redirect);

#endif

